                  Orange 3/4/5/SE for Windows

           Краткое описание внесенных изменений:


------------------------------------------------------------

v1.35  24.06.2016
[+] Улучшена обработка ошибок при блочной записи.
[*] Правильное определение пароля для R8C большого размера FLASH из прошивки.
[+] Включение окна протокола через меню.
[+] Отображение прямоугольных корпусов в pin
[+] На графической карте памяти отображение выделенных блоков (кнопка 'M')
[+] Увеличено максимальное кол-во файлов BACKUP, добавлено автоматическая генерация описаний diz.
[+] Orange5 - для 9S12XE добавлена функция автоматического расчета размера D-FLASH.
[+] Orange5 - Конфигурация Renesas перенесена в отдельную 4-Renesas
[+] Orange5 - содержимое конфигурации 3-CarRadio перенесено в 5-Special_O5

------------------------------------------------------------

v1.34 r2  16.03.2016

[*] Исправлена ошибка импорта HEX файлов.
[+] Ускорена работа функции "Сравнение с файлом".
[+] Orange5 - Протестированные NAND FLASH переведены на быстрый алгоритм.
[+] Orange5 - Улучшен алгоритм работы M08V
[+] Orange5 - Улучшена работа с драйвером в Windows 7-10.

------------------------------------------------------------

v1.34  17.11.2015
[+] Улучшен алгоритм поиска по имени микросхемы.
[+] Предупреждение при попытке записи пустого дампа в микросхему.
[+] Orange5 - создание резервной копии файла hc08sec.ini в папке BACKUP при онлайн обновлении.
[+] Orange5 - улучшена процедура инициализации USB для Windows 8.

------------------------------------------------------------

v1.33 r5 18.07.2015
[+] Драйвер для Orange5 64bit имеет цифровую подпись.
[+] Команда Difference позволяет сравнить несколько областей сразу
[+] HPL - добавлена опция OPTIONS=z, для установки начального заполнения 0.
[*] Исправлена ошибка выбора Recent Types при замене конфигурационных файлов.
[*] Исправлена ошибка переключения областей во вложенных HPL.

------------------------------------------------------------

v1.33 r3 10.02.2015
[+] Полное отображение паролей в списке для HC08.
[*] Исправлена ошибка записи FLASH 908AZ60A из версии 1.33 r1.

------------------------------------------------------------

v1.33 r1 30.12.2014
[*] Исправлена ошибка функции заполнения буфера в режиме x16
[+] Добавлена функция выделения байтов в заданном диапазоне значений.
[+] В контекстное меню для поля ASCII добавлено копирование текста в буфер обмена.

------------------------------------------------------------
v1.33  11.09.2014
[*] Исправлена ошибка функции тестирования контактов Omega FLASH.
[+] Увеличена скорость записи SPI FLASH.
[*] Исправлен размер DATAFLASH для серии V850.

------------------------------------------------------------
v1.32 r3  19.05.2014
[!] Отображение корпуса микросхемы с подсказками по внутрисхемному подключению.
[+] Режим отображения вертикальной панели кнопок.
[+] Предотвращение перехода в спящий режим при длительных операциях.
[*] Исправлена ошибка загрузки больших HEX файлов в режиме редактирования.
[+] Автоматический перевод названий пользовательских функций на русский язык.
[+] Увеличен максимальный размер файла hc08sec.ini.
[+] Orange5: Улучшен алгоритм BOOT для HC08

------------------------------------------------------------
v1.32 r2  18.02.2014
[+] В меню выбора типов микросхемы большого объема отображаются в МЕГАбайтах.
[+] Возможность загрузки *.mot файлов
[+] Загрузка HEX файлов с символами в нижнем регистре.
[+] В окне редактирования регистров курсор возвращен на первое поле ввода.
[+] Для экспортируемых файлов автоматически рассчитывается конечный адрес.
[+] Улучшено автоматическое определение скорости для 9S08
[+] Отображение логотипов фирм в меню выбора микросхем.
[*] В меню "Запись всего" не отображаются области, доступные только для чтения.
[*] Повышена стабильность загрузки драйвера Orange5 для Win7(32bit).


------------------------------------------------------------
v1.32  14.11.2013
[+] Быстрый выбор часто используемых типов микросхем (Recent)
[+] Кнопка "Сравнение" на тулбаре перенесена на место кнопки "Запись"
[*] Исправлена ошибка загрузки больших шаблонов
[*] Исправлен драйвер ISP адаптера для Orange3.
[*] Исправлена функция сравнения с файлом для 16-разрядных данных.
[+] Поддержка изображений GIF формата для Chip Pinout.
[+] Пункт меню "Регистры" перенесен в раздел "Инструменты"
[+] Горизонтальная сетка в редакторе.

------------------------------------------------------------
v1.31 r6  31.05.2013
[+] Улучшена работа функции определения скорости 9S12 и 908 в Orange5.
[+] Управление цветом строки для HPL PRINT=S.
[+] Функция перестановки 4 байт.
[+] Загрузка файлов S19 с 32-битной адресацией.

------------------------------------------------------------
v1.31 r5  20.03.2013
[*] Повышена стабильность работы BDM в Orange5.
[*] Исправлено освобождение внутренней памяти для cfg.
[+] Увеличен размер шрифта строки состояния окна прогресса

------------------------------------------------------------
v1.31 r3  12.12.2012
[*] Блокировка повторного boot для HC11 в Orange5.
[+] Поддержка изображений EMF формата

------------------------------------------------------------
v1.31 r2  06.11.2012
[*] Исправлена внутренняя ошибка Orange5
[+] Немного увеличена скорость передачи по USB Orange5

------------------------------------------------------------
v1.31 r1  31.10.2012
[*] Исправлена ошибка загрузки больших файлов S19 в режиме редактирования.
[*] Исправлена ошибка выбора режима порта в Omega.
[+] Добавлена возможность записи выделенной области в S19.
[+] Воспроизведение звуков в Omega. Опция отключения звуков.
[+] HPL: новая команда - OPTIONS
[+] Возможность установки задержки CDELAY менее 1 мкс (Orange5).


------------------------------------------------------------
v1.31  12.09.2012
[!] Увеличен максимальный размер буфера для Omega.
[+] Возможность изменения размера шрифта редактора (в orange.ini)
[+] HPL: новый тип T для PRINT.
[+] Оптимизирован вывод на принтер
[+] Улучшена процедура boot для HC05, HC11.
[+] Orange5: В настройках параметров для микроконтроллеров добавлены списки типовых скоростей.
[+] Orange5: Ускорена работа с NAND flash.
[*] Исправлена ошибка запуска верификации после записи для блочного режима.
[*] Исправлены внутренние ошибки

------------------------------------------------------------
v1.30 r9 beta!  18.04.2012
[+] Уточнена внутренняя диагностика в Orange5.

------------------------------------------------------------
v1.30 r8 beta!  14.03.2012
[+] Улучшена работа с HC11 в Orange5

------------------------------------------------------------

v1.30 r7 beta!  24.02.2012
[!] Функция "Write All"
[!] Шаблоны - экспериментальная версия.
[+] В списке выбора микросхемы отображается полный объем.
[*] Исправлена ошибка верификации для некоторых мс (PIC контроллеров).
[*] Перенесен адрес CONFIG в буфере для PIC12C50x
[!] Увеличен максимальный размер буфера.
[+] Функция ReadMarked реализована для Orange5
[+] Функция XOR может работать с последовательностью чисел.
[+] Улучшена работа функции печати на принтере.

------------------------------------------------------------
v1.30 r6 25.10.2011
[+] Orange5: работа с NOBDML битом 912D60.

------------------------------------------------------------
v1.30 r5 07.09.2011
[+] Новый тип E (Hex Editor) для функции GET.

------------------------------------------------------------
v1.30 r4 12.08.2011
[+] Увеличен максимальный размер буфера.
[+] Поддержка серий PIC10, PIC18 Microchip (тестовая)
[*] Исправлена ошибка в Orange5 в окне Настройки-Микросхема для некоторых типов.
[+] Улучшен алгоритм проверки контактов для 8-выводных EEPROM.
[*] Исправлены небольшие ошибки в программе.


------------------------------------------------------------
v1.30 r3 14.06.2011
[!] Исправлена ошибка сохранения 16-разрядных файлов в Orange5.
[*] Исправлена ошибка загрузки некоторых HEX файлов.

------------------------------------------------------------
v1.30 r2 10.06.2011
[+] Поддержка серии 9S08 в Orange5.
[+] Улучшена диагностика ошибок HPL
[+] Воспроизведение звуков.

------------------------------------------------------------
v1.30 r1 17.05.2011
[+] Добавлена поддержка расширенного HEX формата.
[+] Информация о записи файла выводится в статусной строке.
[+] Функция объединения двух HPL для Orange5.
[+] Дополнительный поиск INFOFILE в каталоге IMAGE.
[+] Добавлена поддержка Selfcheck для Orange5.

------------------------------------------------------------
v1.30  22.04.2011
[+] Увеличен размер окна списка для регистров типа 'L'
[+] Новые команды HPL для посылки импульсов: PIN=P,PIN=N


------------------------------------------------------------
v1.28 r9
[+] Исправлены мелкие ошибки.

------------------------------------------------------------

v1.28 r8
[+] Добавлена функция "Импорт файла"

------------------------------------------------------------

v1.28 r4
[+] В режиме ISP добавляется надпись ISP в заголовке окна операций.
[!] Исправлена ошибка HPL описания инверсных входов
[*] Исправлена ошибка сравнения нескольких областей.
[+] Подсказка при выборе области
[+] Функция чтения всех областей

------------------------------------------------------------
v1.28 r3    20.03.2010
[!] Исправлена ошибка HPL из версии 1.28r2
[!] Исправлено распределение областей памяти
[+] Добавлен переход на несовпадение при сравнении с файлом.

------------------------------------------------------------
v1.28 r1    15.03.2010
[!] Исправлена ошибка выделения памяти ("Out of buffer")
[!] Исправлена ошибка загрузки HPX модулей.
[*] Исправлена функция замены в режиме 16 бит.

------------------------------------------------------------
v1.28    24.02.2010
[+] Исправлена функция поиска, добавлена горячая клавиша (Ctrl-F)
[+] Улучшена работа функции заполнения.
[+] Добавлена функция поиска текста
[+] Изменено отображение кнопки управления питанием.
[+] Улучшена диагностика FLASH адаптера.
[+] Увеличена скорость чтения FLASH
[+] Исправлена загрузка больших файлов для микросхем с несколькими областями.

------------------------------------------------------------

v1.26 r3  09.01.2009
[!] Исправлена критическая ошибка в драйвере Orange4/SE.
[+] Восстановлена работа параметра -notest.
[+] Исправлена ошибка в функции надежного чтения.


------------------------------------------------------------

v1.26  24.12.2008
[+] Панель управления питанием.
[+] Orange4: переделана работа драйвера на высокоскоростных LPT контроллерах.
[+] Функция проверки обновлений на сайте.
[+] Функция надежного чтения
[+] Исправлена ошибка в функциях чтения/записи файловых блоков
[+] В режиме ISP действует настройка "Управление питанием"

------------------------------------------------------------

v1.25  03.10.2007
[+] Горячие клавиши на пользовательские функции (ctrl+F1...ctrl+F5)
[+] Поддержка модулей с адаптивным размером буфера
[+] Доработана справочная система
[+] Описание корпусов с помощью pin файлов

------------------------------------------------------------

v1.24  20.03.2007
[+] Отображение числа ошибок непосредственно в процессе сравнения.
[+] Ускорена загрузка файлов большого объема.
[+] Отображение размера в режиме редактирования файлов.

------------------------------------------------------------

v1.23  05.09.2006
[+] Загрузка нескольких копий программы в режиме редактирования файлов.
[*] Исправлена ошибка отключения генератора Omega PICAVR
[!] Исправлена адресация областей для PIC MCU
[+] Расширена диагностика
[+] Функция экспорта файлов
[+] Добавлен расчет CRC для выделенной части буфера
[*] Исправлено окно настройки цветов под WinXP


------------------------------------------------------------

v1.22  30.06.2006
[*] Исправлена ошибка при работе с ClipBoard
[*] Исправлена ошибка в режиме сравнения
[*] Исправлена ошибка управления ISP адаптером (O4/SE)
[+] OmegaSE - поддержка PICAVR адаптера
[+] OmegaFLASH - улучшена диагностика адаптера
[+] Расширение системы команд HPL
[+] Регистрация расширений файлов (bin,hex,s19)


------------------------------------------------------------

v1.20  15.03.2006
[+] Изменена структура меню.
[+] Добавлен статистический анализатор буфера
[+] Сообщение о загрузке файлов в статусном окне
[+] Расширена поддержка файлов S19
[+] Выделение областей, загруженных из файлов S19/HEX
[+] Увеличена скорость загрузки HPX модулей.
[+] Обновление модулей
[+] Стирание выделения в Read Marked при Post Mark Clear

------------------------------------------------------------

v1.16  24.11.2005
[!] Исправлено определение параметров при запуске без программатора.
[*] Изменена логика работы регистра $VERIFY
[+] Поддержка базы ID-кодов
[+] Обновление модулей

------------------------------------------------------------

v1.15  05.09.2005
[+] Исправлено окно выбора файла для сравнения
[+] Переделано окно выбора типа м/с
[!] Исправлена ошибка при выводе на печать
[+] Версия для Orange4

------------------------------------------------------------

v1.14  19.05.2005
[+] HPL - новая команда RETURN, передача аргументов в функцию
[+] HPL - новый тип регистра - PushButton
[+] Обновление модулей

------------------------------------------------------------

v1.12  12.03.2005

[+] Поддержка ISP адаптера
[+] Режим редактирования файлов
[!] Omega SE - Функция TestInsertion
[+] Печать на принтере
[+] Переключение языка справки

------------------------------------------------------------

v1.11  15.09.2004

[!] Omega SE - исправлена работа FreePins, новое ядро
[+] Дополнительные варианты описания регистров
[!] Чтение выделенной области (Shift+F5)
[+] Переключение режима управления питанием (Ctrl+P)

------------------------------------------------------------

v1.10  20.06.2004

[!] HPL - новая команда INFOFILE
[+] HPL: LOOP с одним аргументом
[+] Исправлена ошибка установки расширений файлов
[+] Загрузка/сохранение блока из файла
[+] Выделение четных и нечетных слов

------------------------------------------------------------

v1.08  19.03.2004 (Omega only release)

[!] HPL Отладчик
[!] Новый режим сравнения
[+] Счетчик операций чтения/записи
[+] Изменение работы IDISABLE/IENABLE
[+] HPL: LOOP с одним аргументом

------------------------------------------------------------

v1.07  13.01.2004

[!] Окно выбора микросхемы переделано (+режим поиска)
[+] Работа с несколькими областями памяти (для MCU).
[+] Разделение на несколько конфигурационных файлов
[+] Поддержка многоразрядных шин BUS
[+] Управление встроенным генератором
[+] PRINT в окно лога
[+] Мелкие исправления

------------------------------------------------------------

v1.06   01.07.2003

[+] Переделан режим выделения блока
[+] Корректное выделение после Swap Bytes.
[+] Выбор типа файла при сохранении
[+] Fill - многобайтное заполнение
[+] PinTester - горячие клавиши
[+] Секция [---] используется как сепаратор меню
[!] Калькулятор

------------------------------------------------------------

v1.05   20.03.2003

[+] Увеличен максимальный размер буфера
[+] Изменения Меню->Настройки

------------------------------------------------------------

v1.04   24.01.2003


[!] Нижняя информационная панель
[!] Исправлена работа индикатора для микросхем более 64K
[+] Сохранение dif-файла


------------------------------------------------------------

v1.03   17.01.2003

[!] Загружаемый help в формате chm
[+] Мелкие исправления

------------------------------------------------------------

v1.02   27.12.2002

[!] Изменение интерфейса
[+] Настройка цветов редактора
[+] Добавлен русский язык

------------------------------------------------------------

v1.00   25.12.2002

[!] Первый релиз под Windows

------------------------------------------------------------

		(c) CnCLab       http://www.cnc-lab.com
